# .*. coding: utf-8 .*.
#---------------------- Copyright (c) ABB Bomem inc, 2012 -------------------
#                               Source code
# This software is the property of Bomem and should be considered and treated
# as proprietary information.  Refer to the "Source Code License Agreement"
#----------------------------------------------------------------------------

""" Small class to throw a error that we can detect that is from us
"""

class MyErrorType(object):
    """ Error type definition
    """
    def __init__(self):
        self.timeout = 1
        self.badstatus = 2
        self.badregister = 3
        self.modbus = 4

class MyError(Exception):
    """ Our error class
    """
    def __init__(self, value, errType=0):
        super(MyError, self).__init__()
        self.value = value
        self.type = errType

    def __str__(self):
        return repr(self.value)
    